Package com.enonic.xp.page

## Class PageTemplates

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntityList<PageTemplate>
  - - com.enonic.xp.page.PageTemplates

- All Implemented Interfaces:
    `Iterable<PageTemplate>`

      @PublicApi
      public final class PageTemplates
      extends AbstractImmutableEntityList<PageTemplate>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PageTemplates.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `list`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PageTemplates.Builder` | `create()` |
    `static PageTemplates` | `empty()` |
    `PageTemplates` | `filter​(Predicate<PageTemplate> predicate)` |
    `static PageTemplates` | `from​(PageTemplate... templates)` |
    `static PageTemplates` | `from​(Iterable<? extends PageTemplate> templates)` |
    `static PageTemplates` | `from​(Collection<? extends PageTemplate> templates)` |
    `PageTemplate` | `getTemplate​(ContentName name)` |
    `PageTemplate` | `getTemplate​(PageTemplateKey key)` |
    `Contents` | `toContents()` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntityList

      `contains, equals, first, get, getList, getSize, hashCode, isEmpty, isNotEmpty, iterator, last, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getTemplate

          public PageTemplate getTemplate​(ContentName name)

    - #### getTemplate

          public PageTemplate getTemplate​(PageTemplateKey key)

    - #### filter

          public PageTemplates filter​(Predicate<PageTemplate> predicate)

    - #### toContents

          public Contents toContents()

    - #### empty

          public static PageTemplates empty()

    - #### from

          public static PageTemplates from​(PageTemplate... templates)

    - #### from

          public static PageTemplates from​(Iterable<? extends PageTemplate> templates)

    - #### from

          public static PageTemplates from​(Collection<? extends PageTemplate> templates)

    - #### create

          public static PageTemplates.Builder create()